//
//  MainView.swift
//  AcaMate
//
//  Created by TAnine on 2/4/25.
//
 
import SwiftUI
import Combine

struct MainView: View {
    @EnvironmentObject var alertController: AlertController
    @State var cancellables: Set<AnyCancellable> = []
    @Binding var naviState : NaviState
    
    var body: some View {
        VStack(spacing:0) {
            TopView(titleName: "Name")
            // MARK: TO-DO
            // 스크롤뷰 해서 탑뷰 가리는거 이제 만들어 보기
            VStack(spacing: 0) {
                TopProfileView()
                    .padding(EdgeInsets(top: 0, leading: 0, bottom: 12, trailing: 0))
                AttendanceView()
                    .background {
                        RoundedRectangle(cornerRadius: 8)
                            .foregroundStyle(Color(.Other.cell))
                    }
                    .padding(EdgeInsets(top: 12, leading: 24, bottom: 12, trailing: 24))
                AttendanceView()
                    .background {
                        RoundedRectangle(cornerRadius: 8)
                            .foregroundStyle(Color(.Other.cell))
                    }
                    .padding(EdgeInsets(top: 12, leading: 24, bottom: 12, trailing: 24))
                AttendanceView()
                    .background {
                        RoundedRectangle(cornerRadius: 8)
                            .foregroundStyle(Color(.Other.cell))
                    }
                    .padding(EdgeInsets(top: 12, leading: 24, bottom: 12, trailing: 24))
                AttendanceView()
                    .background {
                        RoundedRectangle(cornerRadius: 8)
                            .foregroundStyle(Color(.Other.cell))
                    }
                    .padding(EdgeInsets(top: 12, leading: 24, bottom: 12, trailing: 24))
            }
            
            BottomView()
                .frame(maxWidth: .infinity)
        }
        .frame(maxWidth: .infinity, maxHeight: .infinity)
    }
}
